Flightcell product support

Product registration, warranty, returns and software upgrade information

Product firmware

Flightcell DZMx

Register here for DZMx firmware

Current version is v2.19.1. IMPORTANT: Only upgrade to V2.19.1 if your tracking service provider does not support protocol suite 4 and your DZMx is currently running V2.x.x.x firmware.
Upgrade to V2.18.1 if your tracking service provider does not support protocol suite 4 and your DZMx is currently running V2.x.x.x firmware.
V2.11.0 is for Global Nav, Geodecisions and Outlerlink customers currently running V2.x.x.x firmware.
V1.18.0 should only be used if your DZMx is still running on platform 1 e.g. current firmware version is 1.x.x.x rather than 2.x.x.x. If you have a DZMx that is still on platform 1 and you would like to take advantage of the latest features and bug fixes that platform 2 offers, please contact us
Note: if you are unable to see the registration form below, please refresh your web browser or try another browser

If you can’t find what you are looking for, or need further assistance, please contact us.

Contact Tech Support